import { BaseProvider } from '#templates/base/provider';
import { WebhookLog } from '#models/WebhookLog';

export class WebhookLogProvider extends BaseProvider<WebhookLog> {
	public static instance: WebhookLogProvider;

	public static getInstance(): WebhookLogProvider {
		WebhookLogProvider.instance ??= new WebhookLogProvider();
		return WebhookLogProvider.instance;
	}

	public static get model() {
		return WebhookLog;
	}

	constructor() {
		super('WebhookLog');
	}
}
